#include <intuition/intuitionbase.h>
#include <dos/dos.h>

int CXBRK(void) { return(0); }
void MemCleanup(void) { }

struct IntuitionBase *IntuitionBase;
struct GfxBase *GfxBase;

extern short *Pointers[];

main()
{
int x=0;
int OldPri;
struct Process *Me;

Me=(struct Process *)FindTask(0);
OldPri=SetTaskPri(Me, 20);

IntuitionBase=(struct IntuitionBase *)OpenLibrary("intuition.library",36);
GfxBase=(struct GfxBase *)OpenLibrary("graphics.library", 36);
if (IntuitionBase==0 || GfxBase==0)
	return(0);

while (!(SetSignal(0,0)&SIGBREAKF_CTRL_C))
	{
	struct Window *Win;

	WaitTOF();
	WaitTOF();

	Win=IntuitionBase->ActiveWindow;

	if (Win && Win->Pointer)
		{
		if (Win->PtrHeight==16 && Win->PtrWidth==16 && Win->XOffset==-6 && Win->YOffset==0 && Win->Pointer[2]==0x400 && Win->Pointer[3]==0x7c0)
			CopyMem(Pointers[x], &Win->Pointer[2], 64);
		};
	x++;
	if (x==32) x=0;
	};

SetTaskPri(Me, OldPri);
CloseLibrary(IntuitionBase);
CloseLibrary(GfxBase);
}
